<?lsp

function emitPwdLockedInfo()
?>
<h1>Password locked</h1>
<p>The password cannot be changed since the password has been locked by an administrator.</p>
<?lsp
end


local io = bd.baseio
local name = request:user()
if name then
   local userdb = bd.db.user.load()
   if userdb and userdb.v and userdb.v[name] then
      local user = userdb.v[name]
      if user.pwd == data.oldpassword then
         if user.pwdl == true then
            title="Password Locked"
            response:include"/rtl/.header.lsp"
            emitPwdLockedInfo()
            response:include"/rtl/.footer.lsp"
            return
         end
         -- Change password
         user.pwd = data.password
         bd.db.user.save(userdb)
         -- We must force all sessions to terminate so user does
         -- not get a 403 message from server.
         request:logout(true)
         response:sendredirect"/rtl/"
      end
   end
   response:sendredirect(request:url())
end
?>
