<?lsp
local fmt=string.format
local d=request:data()
if d.action then
   local env,conn = app.openDb()
   if d.action == "delete" then
      local key
      local q=fmt('SELECT key FROM PhotoAlbumNames WHERE name="%s"',d.name)
      local cur=conn:execute(q)
      if cur then
         key = cur:fetch()
         cur:close()
         if key then
            q=fmt([[SELECT img FROM PhotoAlbums
                    WHERE album="%u" ORDER BY key]], key)
            local cur=conn:execute(q)
            if cur then
               local imgName2Thumb = app.imgName2Thumb
               local io = app.docsIo
               local img = cur:fetch()
               while img do
                  io:remove(img)
                  io:remove(imgName2Thumb(img))
                  img = cur:fetch()
               end
               cur:close()
               conn:setautocommit("IMMEDIATE", 1000)
               conn:execute(fmt("DELETE FROM PhotoAlbums WHERE album=%u",key))
               conn:execute(fmt("DELETE FROM PhotoAlbumNames WHERE key=%u",key))
               conn:commit()
            end
         end
      end
      response:sendredirect"managealbums.lsp"
   else
      local cms = app.getCmsTab(request:session())
      local imgNames={}
      cms.imgUplCfg={albumtitle=d.name}
      cms.doneUplUrl="managealbums.lsp"
      local q=fmt([[SELECT PhotoAlbums.img FROM
                        PhotoAlbumNames,PhotoAlbums
                    WHERE PhotoAlbumNames.name="%s" AND
                    PhotoAlbumNames.key = PhotoAlbums.album
                    ORDER BY PhotoAlbums.key]], d.name)
      local cur=conn:execute(q)
      if cur then
         local img = cur:fetch()
         while img do
            imgNames[img]=true
            img = cur:fetch()
         end
         cur:close()
      end
      cms.imgUplCfg.imgNames=imgNames
      response:sendredirect"managealbum.lsp"
   end
   app.closeDb(env,conn)
   return
end
local alist = app.io:loadfile(pathname:match("(.-)[^/]+$")..".albumlist.lua")(app)
if #alist == 0 then
   response:sendredirect"../images.lsp"
   return
end
headerdata=[[
<style type="text/css">
#tab table,#tab td,#tab th { border: 1px solid;border-collapse:collapse; }
#tab td,#tab th { text-align: center; padding:5px; }
td img { border:0 }
</style> 
<script type="text/javascript">
$(function() {
   initHelp("images","../");
   $(".del").click(function() {
      return confirm('Are you sure you want to delete "'+$(this).attr("xname")+'" and all photos in the album?');
   });

});
</script>
]]
title="CMS: Manage Images: Manage Albums"
response:include"../.header.lsp"
?>
<div id="help"></div>
<h1>Manage Albums</h1>
<img hlp='modifydel' src='../btn/questionmark.32.gif' alt='Help' style='float:right;margin:0 8em 0 0;border:none'/>
<br/>
<div class="manage" style="width:450px;">
<div id="tab">
<table style="width:100%">
<tr><th>Album Name</th><th>Modify</th><th>Delete</th></tr>
<?lsp
for _,name in ipairs(alist) do
   response:write('<tr><td>',name,'</td><td><a href="managealbums.lsp?name=',name,
                  '&action=modify"><img src="accept.png"/></a></td><td><a class="del" xname="',name,
                  '" href="managealbums.lsp?name=',name,'&action=delete"><img src="delete.png"/></a></td></tr>')
end
?>
</table>
</div>
<br/>
<button type="button" onclick="window.location='../images.lsp';return false">Cancel</button>
</div>
<?lsp response:include"../.footer.lsp" ?>
