<?lsp

local addUsers = request:data"AddUsers"
if addUsers then
   if addUsers=="yes" then
      response:sendredirect"WizSetuser.lsp"
   else
      response:sendredirect"WizDetectLAN.lsp"
   end
   return
end

title="Adding Users"
-- Make ".header" load our Wikipedia help engine
headerdata=[[<script src="../help.js"></script>]]
response:include"../wizard/.header.lsp"
?>
<h1><?lsp=title?></h1>
<table><tr>
<td>
<img src="../images/people.png" style="margin-right:2em"/>
</td>
<td>
<p>FuguHub makes it possible to give your customers, friends, etc. access to your computer by allowing users to use the Web-File-Manager or WebDAV server. FuguHub includes an Administrator Panel that makes it possible to create Access Control Lists (ACLs) for users and groups.</p>
</td></tr></table>
<p style='color:blue'>The Web File Manager and the WebDAV server use the same Access Control Lists. This means that the user will have the same access rights if the user uses a browser and the Web File Manager or if the user uses a WebDAV client such as Web Folders to access the remote FuguHub server.</p>

<p>Many new users find it difficult to configure ACLs. This wizard includes a simplified ACL manager that makes it easier to add users and set the user's permission(s).</p>

<p><b>You should use the simplified ACL manager if you are new to Access Control Lists and you plan on adding users with limited access to your computer.</b></p>

<form method="post">
<ul>
<li>
  <input type="radio" name="AddUsers" value="yes" checked="checked" />
  Add users using the simplified ACL manager.
</li>
<li>
  <input type="radio" name="AddUsers" value="no" />
  I do not want to add users at this time.
</li>
</ul>
<input type="submit" value="Continue" style="width:150px"/>
</form>

<?lsp
showAbort=true
response:include"../wizard/.footer.lsp"
?>
