<?lsp

headerdata=[[
<script>
$(function() {
   $("#cancelbut").click(function() {
      $("body").html("<p>Click the dialog exit button to cancel the E-Mail wizard.</p>");
   });

   $("#closewin").click(function() {
      setTimeout("top.cancelEmail();",1000);
   });
});
</script>
]]
response:include".header.lsp"
local email=email
email.body,email.subject=nil,nil
if email.settings then email.settings.batchkey=nil end
local fmt=string.format

local function emitFiles()
   for _,file in ipairs(email.files) do
      response:write('<li>',file,'</li>')
   end
end

local function noSmtp()
   response:include"../../../.smtp.lsp"
   if loadSmtpFromBdDb() then return false end
   return true
end

if not bd.db.email(request) then
?>
<p>You must set your <a id="closewin" target="_top" href="/rtl/protected/email.lsp">email address</a> before you can send files.</p>
<a target="_top" href="../help.lsp" style="font-size:200%">Help</a>
<?lsp elseif noSmtp() then?>
<p>You must <a id="closewin" target="_top" href="../manage/help.lsp#smtp">configure SMTP</a> before you can send files.</p>
<?lsp else ?>
<a target="_blank" href="../help.lsp" style="float:right">Help</a>
<table style="width:100%"><tr><td valign="top">
<div >
<h3>E-Mail <?lsp=fmt("%s File%s",#email.files,#email.files==1 and"" or "s")?>?</h3>
<table><tr>
<td><form method="post" action="prepare.lsp"><button type="submit">Continue</button></form></td>
<td><button id="cancelbut">Cancel</button></td>
</tr></table>
</div>
</td>
<td>
<h3>File(s):</h3>
<ul>
<?lsp emitFiles() ?>
</ul>
<h3>Directory:</h3>
<p><?lsp=email.path?></p>
</td></tr></table>
<?lsp
end

local errmsg=require"mailutil".geterr()
if errmsg then
?>
<fieldset><legend> Error Message: </legend>
<div><?lsp=errmsg?></div>
<br/>
<a target="_blank" href="/rtl/protected/mail/manage/jobq.lsp">Delete error message</a>
</fieldset>
<?lsp end ?>
</body>
</html>
