function prepare(){
   var rowlen=$('#individual input[name="recipient"]').length;
   var liveSearch;
   var lstr;

   function scrollbot() {
      scroll(0,100000);
   };

   function nav(inp) {
      if(inp.val() == "list") {
         $("#individualdiv").hide();
         $("#list").show();
         $("#subindividual").hide();
         $("#sublist").show();
         $("#pwdtr").show();
      }
      else {
         $("#individualdiv").show();
         $("#list").hide();
         $("#subindividual").show();
         $("#sublist").hide();
         if(rowlen > 1)
            $("#pwdtr").hide();
      }
   };
   nav($("#nav input:checked"));
   $("#nav input").click(function() {nav($(this));});

   function  updConts(isDisabled) {
      $("#contactscont").css("color","yellow");
      setTimeout('$("#contactscont").css("color","");', 1500);
      if(isDisabled)
         $("#sublist").attr("disabled","disabled");
      else
         $("#sublist").removeAttr("disabled");
   };


   function updateSelCont(){
      var checked=$("#list :checked");
      var reqpwd=$('#pwd').is(':checked');
      var isDisabled=false;
      if(checked.length > 0) {
         var url="../countcontacts.lsp?type=list";
         checked.each(function(x) {
            url+="&k="+$(this).val();
         });
         if(reqpwd) url+="&pwd="
         $.getJSON(url, function(resp) {
            $("#contacts").html(resp.length > 0 ? resp.length+"" : (reqpwd ? "<a target='_blank' href='/rtl/protected/mail/manage/contactspwd.lsp'>No passwords confirmed</a>!" : "list empty!"));
            isDisabled = resp.length == 0;
            updConts(isDisabled);
         });
      }
      else {
         $("#contacts").html("0");
         isDisabled=true;
         updConts(isDisabled);
      }
   }

   $("#list input, #pwd").click(function() {
      if($("#pwd").is(':checked'))
         $("#seccon input:first").attr("checked","checked");
      updateSelCont();
   });
   updateSelCont();
   $("#list table a").click(function() {return false;});

   var reg=/^[-a-z0-9~!$%^&*_=+}{\'?]+(\.[-a-z0-9~!$%^&*_=+}{\'?]+)*@([a-z0-9_][-a-z0-9_]*(\.[-a-z0-9_]+)*\.([a-z][a-z]+)|([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}))(:[0-9]{1,5})?$/i;

   function valEmail(inp, wrapped) {
      inp = wrapped ? inp : $(inp);
      var e=$.trim(inp.val());
      var x=/<([^<>]+)>/.exec(e);
      if(reg.test(x && x[1] ? x[1] : e)) {
         inp.val(e);
         return true;
      }
      return false;
   };

   function hideSearch() {
      lstr=null;
      if(liveSearch) {
         liveSearch.remove();
         liveSearch=null;
      }
   };

   function trBlue(tr) {
      $(tr).addClass("softblue");
   };
   function rmBlue() {
      if(liveSearch) $("tr",liveSearch).removeClass("softblue");
   };

   function setInp(inp,td) {
      $(inp).attr('value',(td.html().replace(/\&lt;/i,'<').replace(/\&gt;/i,'>')));
   };

   function showSearch(val,inp,e,onshow) {
      $.getJSON("../search.lsp", {search:val,limit:10}, function(resp) {
         var html="";
         if(resp.length) {
            resp.forEach(function(x) {
               var e='';
               if(x.fn && x.fn.length) e+=x.fn+' ';
               if(x.ln && x.ln.length) e+=x.ln+' ';
               e = e.length ? (e+'&lt;'+x.e+'&gt;') : x.e;
               html+='<tr><td>'+e+'</td></tr>';
            });
            if( ! liveSearch ) {
               liveSearch=$('<table id="livesearch"></table>');
               liveSearch.appendTo($(inp).parent());
               setTimeout(scrollbot, 10);
            }
            liveSearch.html(html);
            $("td",liveSearch).click(function() {
               setInp(inp, $(this));
               hideSearch();
            });
            $("tr",liveSearch).mouseover(function() {trBlue(this);}).mouseout(rmBlue);
            if(onshow) onshow(val,inp);
         }
         else
            hideSearch();
      });
   };
   $('#individual input[name="recipient"]').keyup(function(e) {
      $(this).removeClass("error");
      var val=$(this).val();
      switch(e.which) {
         case 8:
         case 46:
            e.preventDefault();
            if(val.length)
               showSearch(val,this,e);
            else {
               hideSearch();
               if(rowlen > 1) {
                  var tr=$(this).parent().parent();
                  $('input[name="recipient"]',tr.prev().is('tr') ? tr.prev() : tr.next()).focus();
                  tr.remove();
                  rowlen--;
                  if(rowlen == 1)
                     $("#pwdtr").show();
               }
            }
            break;

         case 38:
         case 40:
            function action() {
               if(!lstr) lstr=$("tr:first",liveSearch);
               else {
                  if(e.which == 38) {
                     if(lstr.prev().is('tr')) lstr=lstr.prev();
                  }
                  else {
                     if(lstr.next().is('tr')) lstr=lstr.next();
                  }
               }
               rmBlue();
               trBlue(lstr);
            };
            if(liveSearch) action();
            else showSearch(val,this,e,action);
            break;
            

         case 13:
            e.preventDefault();
            if(lstr) {
               setInp(this,$("td",lstr));
               hideSearch();
               $(this).focus();
               return;
            }
            hideSearch();
            if( ! valEmail(this) ) {
               $(this).addClass("error");
               return;
            }
            if(rowlen > 15) return;
            var tr=$(this).parent().parent();
            var trc=tr.clone(true,true).appendTo("#individual");
            $('input[name="recipient"]',trc).attr("value","").focus();
            $('option[value="'+$("select option:selected",tr).val()+'"]',trc).attr('selected', 'selected');
            setTimeout(scrollbot, 10);
            rowlen++;
            $("#pwdtr").hide();
            break;

         default:
            showSearch(val,this,e);
      };
   }).keydown(function(e) {
      if(e.which == 13) e.preventDefault();
   });

   $("#exptime").keyup(function(e) {
      var time;
      var date;
      var ne="Never expires!"
      var val=$(this).val();
      if(val.length > 0) {
         if(val=="0") time=ne;
         else {
            date = Date.parse(val);
            if(date)
               time=date.toString("yyyy MMMM dd, dddd,  h:mm:ss tt");
         }
      }
      else
         time=ne;
      var t=time ? time : "";

      if(time==ne) $("#exptimeinfo").html("");
      else {
         if(time && (new Date()).getTime() >= date.getTime()) time=null;
         $("#exptimeinfo").html(time ? '<span class="accept"></span> '+t : '<span class="exclamation"></span> '+t);
      }
   });

   function attach(inp) {
      function fo() {$("#attachsize").fadeOut(3000);}
      if(inp.val() == "yes") {
         $("#settings").hide();
         $.getJSON("attachsize.lsp", function(resp) {
            var meg5=5*1024*1024;
            var size=resp.size;
            if(size > 1024*1024) size = (new Number(size=size/(1024*1024))).toFixed(2)+"Mb";
            if(size > 1024) size = (new Number(size=size/1024)).toFixed(2)+"Kb"

            var img= resp.size > meg5 ? "exclamation" : "accept";
            $("#attachsize").stop(true,true).show().html(' <img src="../../../images/'+img+'.png" /> Size: '+size);
            if(resp.size > meg5) {
               $("#settings").show();
               $("#attach input:first").attr("checked","checked");
               fo();
            }
         });
      }
      else  {
         $("#settings").show();
         fo();
      }
   }
   $("#attach input").click(function() {attach($(this));});
   attach($("#attach input:checked"));

   function valAndSetExpTime() {
      var exp=$("#exptime");
      var val=exp.val();
      if(val.length) {
         if(val != "0") {
            var date = Date.parse(val);
            if(!date) {
               alert("Invalid Expiration Time!");
               return false;
            }
            var minTime=(new Date()).getTime()+1000*60*60;
            if(date.getTime() < minTime) {
               alert("Minimum link expiration time is: "+(new Date(minTime)).toString("yyyy MMMM dd, h:mm:ss tt"));
               return false;
            }

            exp.val(date.getTime()/1000);
         }
      }
      else
         exp.val(0);
      return true;
   };
   $("#sublist").click(function(e) {
      if( ! $(this).is(":visible") || e.type != "click") return false;
      return valAndSetExpTime();
   });
   $("#subindividual").click(function(e) {
      if( ! $(this).is(":visible") || e.type != "click" ) return false;
      var ok=true;
      $("#individual tr").each(function() {
         var inp=$("input",this);
         if( ! valEmail(inp) ) {
            inp.addClass("error");
            ok=false;
         }
      });
      if(ok) return valAndSetExpTime();
      return false;
   });
};
